org.gicentre.utils.network.traer.physics

## Class Integrator

- java.lang.Object
- - org.gicentre.utils.network.traer.physics.Integrator

- Direct Known Subclasses:
    BackwardEulerIntegrator, ForwardEulerIntegrator, ModifiedEulerIntegrator, RungeKuttaIntegrator

      public abstract class Integrator
      extends java.lang.Object

  Abstract integrator that defines a number of preset integrator factories.
  Version:
    3.4, 5th February, 2016.
  Author:
    Carl Pearson with minor modifications by Jo Wood.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Integrator.METHOD` Lists the different integration methods that can be produced by the integrator factory.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ParticleSystem` | `s`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Integrator(ParticleSystem s)` Creates a new integrator that will apply to the given particle system.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Integrator` | `step(float t)` Should increment the integrator by a single time step.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### s

          protected ParticleSystem s

  - ### Constructor Detail

    - #### Integrator

          public Integrator(ParticleSystem s)

      Creates a new integrator that will apply to the given particle system.
      Parameters:
        `s` - Particle system that will evolve using this integrator.

  - ### Method Detail

    - #### step

          public abstract Integrator step(float t)

      Should increment the integrator by a single time step.
      Parameters:
        `t` - Time step.
      Returns:
        The Integrator after stepping forward by the given time step.